Outils pour utilisateurs

Outils du site


documentation:linux:opensuse:zypper

zypper

zypper est l'interface en ligne de commande de ZYpp. Il sait gérer les dépôts (ajout, suppression), les paquets, etc.

Les dépôts

Lister les dépôts

Pour lister tous les dépôts enregistrés :

On utilise la commande listrepo (ou lr).

zypper lr

Avec cette commande, des options sont disponibles, par exemple, pour connaître uniquement ceux qui sont activés.

zypper lr -E

Ajouter un dépôt

On utilise la commande addrepo (ou ar) :

zypper ar -n "openSUSE-13.2-OSS" http://download.opensuse.org/distribution/13.2/repo/oss/ repo-13.2-oss

Mise à jour de la « base de données »

Pour rafraîchir la liste des dépôts, on utilise la commande refresh (ou ref).

Par exemple pour mettre à jour tous les dépôts.

zypper ref

Si l'on souhaite uniquement mettre à jour un seul dépôt (généralement après l'ajout, ici je mets à jour uniquement le dépôt numéro 2).

zypper ref 2

Modifié un dépôt

On utilise la commande modifyrepo (ou mr).

Par exemple pour activer l'auto-refresh à tous les dépôts.

zypper mr -ar

Pour faire la même chose, mais pour un dépôt en particulier (par ex. le numéro 2).

zypper mr -r 2

Pour désactiver tous les dépôts :

zypper mr -da

Supprimer un dépôt

On utilise la commande removerepo (ou rr).

zypper rr 8

Dans ce cas, on supprime le huitième de la liste.

Les paquets

Installer un paquet

On utilise la commande install (ou in).

zypper in audacious

Chercher un paquet

On utilise la commande search (ou se).

zypper se audacious

Supprimer un paquet

On emploie la commande remove (ou rm).

zypper rm audacious

Si en plus, on souhaite également supprimer les dépendances (qui seront orphelines quand le paquet n'existera plus sur le système).

zypper rm -u audacious

Connaître les dépendances qui vont ou peuvent être installées

Pour connaître les dépendances d'un RPM, on doit utiliser la commande info (ou if) avec l'option –requires.

zypper if --requires pitivi
Loading repository data...
Reading installed packages...


Information for package pitivi:
-------------------------------
Repository: openSUSE-13.2-OSS
Name: pitivi
Version: 0.93-2.1.7
Arch: i586
Vendor: openSUSE
Installed: No
Status: not installed
Installed Size: 4.0 MiB
Summary: Intuitive and featureful movie editor
Description: 
  PiTiVi is a free, intuitive and featureful movie editor.
Requires:
  libc.so.6
  libc.so.6(GLIBC_2.1.3)
  /usr/bin/env
  libcairo.so.2
  typelib(GObject)
  typelib(Gio)
  typelib(Gtk)
  typelib(GLib)
  typelib(Gdk)
  typelib(Gst)
  typelib(GdkPixbuf)
  typelib(Pango)
  python-gobject
  typelib(Clutter)
  typelib(GstPbutils)
  typelib(Cogl)
  typelib(GdkX11)
  typelib(Notify)
  typelib(GnomeDesktop)
  typelib(ClutterGst)
  typelib(GtkClutter)
  typelib(GstController)
  typelib(GES)
  rpmlib(CompressedFileNames) <= 3.0.4-1
  rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  rpmlib(PayloadIsLzma) <= 4.4.6-1
  rpmlib(PartialHardlinkSets) <= 4.0.4-1
  /bin/sh
  python == 2.7

L'option –recommends précise les paquets qui seront installés, sauf si l'option –no-recommends est précisée. Ces paquets ne sont pas indispensable au bon fonctionnement du programme.

zypper if --recommends pitivi
Loading repository data...
Reading installed packages...


Information for package pitivi:
-------------------------------
Repository: openSUSE-13.2-OSS
Name: pitivi
Version: 0.93-2.1.7
Arch: i586
Vendor: openSUSE
Installed: No
Status: not installed
Installed Size: 4.0 MiB
Summary: Intuitive and featureful movie editor
Description: 
  PiTiVi is a free, intuitive and featureful movie editor.
Recommends:
  frei0r-plugins
  pitivi-lang

Regénérer la base de données

En cas de base de données corrompue. Il faut utiliser l'utilitaire rpmdb

rpmdb --rebuilddb
zypper ref
zypper up
documentation/linux/opensuse/zypper.txt · Dernière modification: le 04-12-2018 à 17h58 (modification externe)